/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ScatterBaseDescription } from "./ScatterBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var BubbleSeriesDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(BubbleSeriesDescription, _super);
    function BubbleSeriesDescription() {
        var _this = _super.call(this) || this;
        _this.gp = null;
        _this.f7 = null;
        _this.gm = null;
        _this.gl = null;
        _this.f5 = null;
        _this.f9 = false;
        _this.ga = false;
        _this.gg = 0;
        _this.gf = 0;
        _this.gb = false;
        _this.gn = null;
        _this.gj = null;
        _this.go = null;
        _this.gk = null;
        return _this;
    }
    BubbleSeriesDescription.prototype.get_type = function () {
        return "BubbleSeries";
    };
    Object.defineProperty(BubbleSeriesDescription.prototype, "radiusMemberPath", {
        get: function () {
            return this.gp;
        },
        set: function (a) {
            this.gp = a;
            this.g("RadiusMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "radiusScale", {
        get: function () {
            return this.f7;
        },
        set: function (a) {
            this.f7 = a;
            this.g("RadiusScale");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "labelMemberPath", {
        get: function () {
            return this.gm;
        },
        set: function (a) {
            this.gm = a;
            this.g("LabelMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "fillMemberPath", {
        get: function () {
            return this.gl;
        },
        set: function (a) {
            this.gl = a;
            this.g("FillMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "fillScale", {
        get: function () {
            return this.f5;
        },
        set: function (a) {
            this.f5 = a;
            this.g("FillScale");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "fillScaleUseGlobalValues", {
        get: function () {
            return this.f9;
        },
        set: function (a) {
            this.f9 = a;
            this.g("FillScaleUseGlobalValues");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "markerOutlineUsesFillScale", {
        get: function () {
            return this.ga;
        },
        set: function (a) {
            this.ga = a;
            this.g("MarkerOutlineUsesFillScale");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "markerOutlineBrightness", {
        get: function () {
            return this.gg;
        },
        set: function (a) {
            this.gg = a;
            this.g("MarkerOutlineBrightness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "markerBrushBrightness", {
        get: function () {
            return this.gf;
        },
        set: function (a) {
            this.gf = a;
            this.g("MarkerBrushBrightness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "radiusScaleUseGlobalValues", {
        get: function () {
            return this.gb;
        },
        set: function (a) {
            this.gb = a;
            this.g("RadiusScaleUseGlobalValues");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "radiusMemberAsLegendLabel", {
        get: function () {
            return this.gn;
        },
        set: function (a) {
            this.gn = a;
            this.g("RadiusMemberAsLegendLabel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "fillMemberAsLegendLabel", {
        get: function () {
            return this.gj;
        },
        set: function (a) {
            this.gj = a;
            this.g("FillMemberAsLegendLabel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "radiusMemberAsLegendUnit", {
        get: function () {
            return this.go;
        },
        set: function (a) {
            this.go = a;
            this.g("RadiusMemberAsLegendUnit");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(BubbleSeriesDescription.prototype, "fillMemberAsLegendUnit", {
        get: function () {
            return this.gk;
        },
        set: function (a) {
            this.gk = a;
            this.g("FillMemberAsLegendUnit");
        },
        enumerable: false,
        configurable: true
    });
    BubbleSeriesDescription.$t = markType(BubbleSeriesDescription, 'BubbleSeriesDescription', ScatterBaseDescription.$);
    return BubbleSeriesDescription;
}(ScatterBaseDescription));
export { BubbleSeriesDescription };
